Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class GetValidatedValueTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.GetValidatedValueTag

public class GetValidatedValueTag
extends javax.servlet.jsp.tagext.TagSupport

JSP Tag implementation for reporting which fields were valid or invalid when processing an HTML form embedded in a JSP page.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `fieldColor`
`java.lang.String` | `fieldDefaultValue`
`java.lang.String` | `fieldMessage`
`java.lang.String` | `fieldName`
`java.lang.String` | `fieldStatus`
`java.lang.String` | `fieldValue`
`java.lang.String` | `invalidColor`
`java.lang.String` | `unspecifiedColor`
`ValidatedValues` | `validatedValues`
`java.lang.String` | `validColor`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetValidatedValueTag()`

Method Summary
`void` | `addIntoPageContext(java.lang.String name, java.lang.Object value)`
`int` | `doStartTag()` Look up the value,status,color,message in the http session and return them.
`java.lang.String` | `getFieldColor()` Get the value of query.
`java.lang.String` | `getFieldDefaultValue()` Get the default value of query.
`java.lang.String` | `getFieldMessage()` Get the value of query.
`java.lang.String` | `getFieldName()` Get the Name of query.
`java.lang.String` | `getFieldStatus()` Get the value of query.
`java.lang.String` | `getFieldValue()` Get the value of query.
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`java.lang.String` | `getInvalidColor()` Get the invalid color.
`java.lang.String` | `getUnspecifiedColor()` Get the unspecified color.
`java.lang.String` | `getValidColor()` Get the valid color.
`void` | `release()` Release this tag.
`void` | `setFieldColor(java.lang.String fieldColor)` Set the value of query.
`void` | `setFieldDefaultValue(java.lang.String fieldDefaultValue)` Set the defaultvalue of query.
`void` | `setFieldMessage(java.lang.String fieldMessage)` Set the value of query.
`void` | `setFieldName(java.lang.String fieldName)` Set the value of query.
`void` | `setFieldStatus(java.lang.String fieldStatus)` Set the value of query.
`void` | `setFieldValue(java.lang.String fieldValue)` Set the value of query.
`void` | `setInvalidColor(java.lang.String invalidColor)` Set the invalid color
`void` | `setUnspecifiedColor(java.lang.String unspecifiedColor)` Set the unspecified color
`void` | `setValidColor(java.lang.String validColor)` Set the valid color

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fieldName

    public java.lang.String fieldName

### fieldValue

    public java.lang.String fieldValue

### fieldDefaultValue

    public java.lang.String fieldDefaultValue

### fieldStatus

    public java.lang.String fieldStatus

### fieldMessage

    public java.lang.String fieldMessage

### fieldColor

    public java.lang.String fieldColor

### validColor

    public java.lang.String validColor

### invalidColor

    public java.lang.String invalidColor

### unspecifiedColor

    public java.lang.String unspecifiedColor

### validatedValues

    public ValidatedValues validatedValues

Constructor Detail

### GetValidatedValueTag

    public GetValidatedValueTag()

Method Detail

### release

    public void release()

  Release this tag.

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Look up the value,status,color,message in the http session and return them.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getFieldName

    public java.lang.String getFieldName()

  Get the Name of query.

  Returns:
    value of query.

### setFieldName

    public void setFieldName(java.lang.String fieldName)

  Set the value of query.

  Parameters:
    `fieldName` - Value to assign to query.

### getFieldValue

    public java.lang.String getFieldValue()

  Get the value of query.

  Returns:
    Value of query.

### setFieldValue

    public void setFieldValue(java.lang.String fieldValue)

  Set the value of query.

  Parameters:
    `fieldValue` - to assign to query.

### getFieldDefaultValue

    public java.lang.String getFieldDefaultValue()

  Get the default value of query.

  Returns:
    Value of query.

### setFieldDefaultValue

    public void setFieldDefaultValue(java.lang.String fieldDefaultValue)

  Set the defaultvalue of query.

  Parameters:
    `fieldStatus` - to assign to query.

### getFieldStatus

    public java.lang.String getFieldStatus()

  Get the value of query.

  Returns:
    Value of query.

### setFieldStatus

    public void setFieldStatus(java.lang.String fieldStatus)

  Set the value of query.

  Parameters:
    `fieldStatus` - to assign to query.

### getFieldColor

    public java.lang.String getFieldColor()

  Get the value of query.

  Returns:
    Value of query.

### setFieldColor

    public void setFieldColor(java.lang.String fieldColor)

  Set the value of query.

  Parameters:
    `fieldColor` - to assign to query.

### getFieldMessage

    public java.lang.String getFieldMessage()

  Get the value of query.

  Returns:
    Value of query.

### setFieldMessage

    public void setFieldMessage(java.lang.String fieldMessage)

  Set the value of query.

  Parameters:
    `fieldMessage` - to assign to query.

### getValidColor

    public java.lang.String getValidColor()

  Get the valid color.

  Returns:
    valid color.

### setValidColor

    public void setValidColor(java.lang.String validColor)

  Set the valid color

  Parameters:
    `validColor` - Value to assign to valid color.

### getInvalidColor

    public java.lang.String getInvalidColor()

  Get the invalid color.

  Returns:
    invalid color.

### setInvalidColor

    public void setInvalidColor(java.lang.String invalidColor)

  Set the invalid color

  Parameters:
    `invalidColor` - Value to assign to invalid color.

### getUnspecifiedColor

    public java.lang.String getUnspecifiedColor()

  Get the unspecified color.

  Returns:
    unspecified color.

### setUnspecifiedColor

    public void setUnspecifiedColor(java.lang.String unspecifiedColor)

  Set the unspecified color

  Parameters:
    `unspecifiedColor` - Value to assign to unspecified color.

### addIntoPageContext

    public void addIntoPageContext(java.lang.String name,
                                   java.lang.Object value)

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved